//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       DibButton.cpp	[ DibButton.h ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Implementation of DIB button class, CDibButton.
//
//***************************************************************************

#include "stdafx.h"
#include "SourceMetrics.h"
#include "DibButton.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDibButton

CDibButton::CDibButton()
{
}

CDibButton::~CDibButton()
{
}

// *************************************************************************
//
BOOL
CDibButton::LoadDib(UINT uID, bool bTransparent /*=false*/)
{
   return m_Dib.Load(AfxGetInstanceHandle(), uID, bTransparent);
}

BEGIN_MESSAGE_MAP(CDibButton, CButton)
	//{{AFX_MSG_MAP(CDibButton)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDibButton message handlers

void CDibButton::DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct) 
{
	CDC * poDC = CDC::FromHandle(lpDrawItemStruct->hDC);
   CRect oButtonRect(&lpDrawItemStruct->rcItem);

   m_Dib.Draw(*poDC, &oButtonRect);
}
