#ifndef GRAPHOPTIONSDLG_H
#define GRAPHOPTIONSDLG_H
//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       GraphOptionsDlg.h	[ GraphOptionsDlg.cpp ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner - based on original that was purchased with Objective Chart (see above)
//
// OVERVIEW:   Defines a graph view class, CGraphOptionsDlg, derived from CDialog
//
//***************************************************************************

#include "SwtchBtn.h"	      // Include the objective chart header for color swatch button

/////////////////////////////////////////////////////////////////////////////
// CGraphOptionsDlg dialog

class CGraphOptionsDlg : public CDialog
{
// Construction
public:
	CGraphOptionsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CGraphOptionsDlg)
	enum { IDD = IDD_GRAPH_OPTIONS };
	SRSwatchButton	m_btnColorPanel;
	CComboBox	m_comboMetricNames;
	CString	m_sPlotMetric;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGraphOptionsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
   COLORREF m_refPanelColor;        // use to paint the plot color panel
   CBitmap  m_bitmapPlotColor;
   int      m_iPlotMetric;
   CStringArray
            m_saMetrics;            // filled on entry

protected:

	// Generated message map functions
	//{{AFX_MSG(CGraphOptionsDlg)
	afx_msg void OnSelectPlotColor();
	afx_msg void OnSelchangeMetricsList();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // GRAPHOPTIONSDLG_H
