/* Copyright (C) 1999, Vsoft Ltd. All Rights Reserved.
 *
 *   Usage Restrictions
 *
 * License is granted to copy, to use, and to make and to use derivative
 * works for research and evaluation purposes only.
 *
 *   Disclaimer of Warranty
 *
 * These software programs are available to the user without any license
 * fee or royalty on an "as is" basis.  Vsoft Ltd. disclaims any and
 * all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any 
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and
 * user's customers, employees, agents, transferees, successors, and
 * assigns.
 *
 * Comments & Questions:
 * mailto:noam@vsoft.com  . Please put "TestPoint" in the subject line.
*/

// FILE: _Trace.c
// Replacement for AfxTrace() when MFC is not used

//#include <cruntime.h>
#include <stdio.h>
//#include <dbgint.h>
#include <stdarg.h>
//#include <internal.h>
#include <limits.h>
//#include <mtdll.h>


extern void __stdcall OutputDebugStringA( const char * lpOutputString   // pointer to string to be displayed
);
 
int __cdecl __Trace(const char * format , ...)
{
	char msg[500];
	int ret;
	// code is shamelssly copied from sprintf.c
    va_list arglist;
    va_start(arglist, format);

//    _ASSERTE(string != NULL);
//    _ASSERTE(format != NULL);

//
	ret = vsprintf(msg, format, arglist);
	OutputDebugStringA(msg);
	return ret;
}
