#ifndef  NewProjectPage1_H
#define	NewProjectPage1_H
//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       NewProjectPage1.h	[ NewProjectPage1.cpp ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Definition of new project wizard, page 1
//
//***************************************************************************

class CNewProjectWizard;   // forward reference

/////////////////////////////////////////////////////////////////////////////
// CNewProjectPage1 dialog

class CNewProjectPage1 : public CPropertyPage
{
	DECLARE_DYNCREATE(CNewProjectPage1)

// Construction
public:
	CNewProjectPage1();
	~CNewProjectPage1();

   CNewProjectWizard * m_poSheet;    // reference to this page's containing sheet

// Dialog Data
	//{{AFX_DATA(CNewProjectPage1)
	enum { IDD = IDD_PAGE_NEW_PROJECT1 };
	CButton	m_oLanguageRadioBox;
	CEdit	m_oEditFileExtensions;
	CString	m_sLanguageGuide;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CNewProjectPage1)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CNewProjectPage1)
	afx_msg void OnLanguageCpp();
	afx_msg void OnLanguageJava();
	afx_msg void OnLanguageHtml();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLanguageVB();
	afx_msg void OnLanguageDelphi();
	//}}AFX_MSG

   SMLanguage *   m_poLanguageExemplar;
   void SetLanguage(int iButtonID, SMLanguage * poLang); // helper method for language radio buttons
   
   DECLARE_MESSAGE_MAP()

};
#endif                        // NewProjectPage1_H
