#ifndef  NewProjectPage3_H
#define	NewProjectPage3_H
//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       NewProjectPage3.h	[ NewProjectPage3.cpp ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Definition of new project wizard, page 3
//
//***************************************************************************

class CNewProjectWizard;   // forward reference

/////////////////////////////////////////////////////////////////////////////
// CNewProjectPage3 dialog

class CNewProjectPage3 : public CPropertyPage
{
	DECLARE_DYNCREATE(CNewProjectPage3)

// Construction
public:
	CNewProjectPage3();
	~CNewProjectPage3();

   CNewProjectWizard * m_poSheet;    // reference to this page's containing sheet

// Dialog Data
	//{{AFX_DATA(CNewProjectPage3)
	enum { IDD = IDD_PAGE_NEW_PROJECT3 };
	CString	m_sProjectNameGuide;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CNewProjectPage3)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	virtual LRESULT OnWizardBack();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
   bool  m_fUserGoingBack;       // if true, user clicked on the "Back" button
   bool  m_fDefaultNameChanged;  // true if user modified the default name (= directory name)

	// Generated message map functions
	//{{AFX_MSG(CNewProjectPage3)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnChangeEditProjectName();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};
#endif                           // NewProjectPage3_H
