/////////////////////////////////////////////////////////////
// The text comments in this file are formatted to generate
// a help file on build using Microsofts free Autoduck tool
// The help file is available with this source and it is
// reccomended that you use this file in conjunction with the
// mfc help files
/////////////////////////////////////////////////////////////

/////////////////////////////////////////////////
//@doc
//@module SECDocManager.h | Adds functionality to the default OnFileNew 
//behaviour. 

#ifdef _OBJCHART_DLL
	#undef AFXAPP_DATA
	#define AFXAPP_DATA AFXAPI_DATA
	#undef AFX_DATA
	#define AFX_DATA OC_DATA
#endif

#ifndef __SECDOCMANAGER__
#define __SECDOCMANAGER__


//@class Stingray Document manager class. Inherits class behaviours from the standard CDocManager class 
//and adds the ability to open and link <c SECComDoc> documents.
class SECDocManager : public CDocManager
{
public:
	//@cmember Creation of files with parameters to allow a document to begin some process immediately and without user intervention.
	virtual CDocument *OnFileNew(LPCSTR DocIdent, UINT nOpCode,UINT nSubCode=0, DWORD dwData=NULL,SECComDoc *parent=NULL);
	
	//@cmember Constructor
	SECDocManager();

	//Cmember creation of files with choice of document type and parameter passing to empty documents
	void OnFileNew(LPCSTR DocIdent,LPCSTR Params=NULL,SECComDoc *parent=NULL);

	//@cmember standard behaviour
	void OnFileNew();

};


#endif
#undef AFX_DATA
#define AFX_DATA
#undef AFXAPP_DATA
#define AFXAPP_DATA NEAR
