#ifndef GRAPHPAGESETUP_H
#define GRAPHPAGESETUP_H
//////////////////////////////////////////////////////////////////////
// Stingray Software - Objective Chart(tm) Copyright (c) 1996 Stingray
// Software Inc. All Rights Reserved. This source code is only
// intended as a supplement to the Stingray Objective Chart product.
// See the help files for detailed information regarding the use of these classes
/////////////////////////////////////////////////////////////////////
//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       GraphPageSetup.h	[ GraphPageSetup.cpp ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner - based on original that was purchased with Objective Chart (see above)
//
// OVERVIEW:   Defines a graph page print setup class, CGraphPageSetup, derived from CDialog
//
//***************************************************************************

#include "SRGraphResource.h"
#include "ochart.h"	   // Include the objective chart header

class CGraphPageSetup : public CDialog
{
// Construction
public:
	CGraphPageSetup(CWnd* pParent = NULL);   // standard constructor

   int   m_iGraphSizeCode;

// Dialog Data
	//{{AFX_DATA(CGraphPageSetup)
	enum { IDD = IDD_GRAPH_PAGESETUP };
	   // NOTE: the ClassWizard will add data members here
	CComboBox	m_comboSize;
	BOOL	      m_bUseMaxArea;
	int		   m_nVAlign;
	int		   m_nHAlign;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGraphPageSetup)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGraphPageSetup)
		// NOTE: the ClassWizard will add member functions here
	virtual BOOL OnInitDialog();
	afx_msg void OnCheckUseMax();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // GRAPHPAGESETUP_H
