#ifndef OPTIONSGENERALPAGE_H
#define OPTIONSGENERALPAGE_H
//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       OptionsGeneralPage.h	[ OptionsGeneralPage.cpp ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Interface of the COptionsGeneralPage class
//
//***************************************************************************

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class COptionsGeneralPage : public CPropertyPage
{
	DECLARE_DYNCREATE(COptionsGeneralPage)

// Construction
public:
	COptionsGeneralPage();
	~COptionsGeneralPage();

// Dialog Data
	//{{AFX_DATA(COptionsGeneralPage)
	enum { IDD = IDD_OPTIONS_GENERAL };
	CEdit	m_editSourceViewer;
	CButton	m_btnViewerBrowse;
	CString	m_sSourceViewer;
	BOOL	m_fReportFileParseErrors;
	//}}AFX_DATA


// Overrides
   virtual BOOL OnApply();

	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(COptionsGeneralPage)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
   CSourceMetricsApp *
            m_poApp;          // for access to option parameters as string lists
   CString  m_sSection;       // the registry section for this page's settings
   CBitmap  m_bitmapBrowse;

	// Generated message map functions
	//{{AFX_MSG(COptionsGeneralPage)
	afx_msg void OnButtonSourceViewerBrowse();
	afx_msg void OnChangeEditOptionFileViewer();
	afx_msg void OnCheckReportParseErrors();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // OPTIONSGENERALPAGE_H
