#ifndef  PickDirectoryDlg_H
#define	PickDirectoryDlg_H
//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       PickDirectoryDlg.h	[ PickDirectoryDlg.cpp ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Definition of new project directory select dialog, CPickDirectoryDlg
//
//***************************************************************************

class CPickDirectoryDlg : public CFileDialog
{
// Construction
public:
	CPickDirectoryDlg(
      BOOL fOpenFileDialog,
      LPCSTR pcDefExtensions,
      LPCSTR pcFileName = NULL,
      DWORD dwFlags = OFN_HIDEREADONLY bitor OFN_OVERWRITEPROMPT,
      LPCSTR pcFilter =NULL,
      CWnd* pParent =NULL);

   // use the open file struct's customer data as indicator that user didn't cancel
   // (because we're not asking the user to select a file, DoModal() always returns IDCANCEL)
   bool     IsOK()         { return m_ofn.lCustData == IDOK; }
   CString  GetPath()      { return m_sPath; }

// Dialog Data
	//{{AFX_DATA(CPickDirectoryDlg)
	enum { IDD = IDD_PICK_DIRECTORY };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPickDirectoryDlg)
	public:
	virtual int DoModal();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

   // callback for common file dialog WM_NOTIFY messages
   static UINT APIENTRY OFNHook(HWND hChildWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

// Implementation
protected:
   static CString m_sPath;
   CString        m_sDialogCaption;

	// Generated message map functions
	//{{AFX_MSG(CPickDirectoryDlg)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};
#endif                     // CPickDirectoryDlg_H
