#ifndef ProgressDlgThread_H
#define ProgressDlgThread_H
//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       ProgressDlgThread.h	[ ProgressDlgThread.cpp ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Interface of the CProgressDlgThread class
//
//***************************************************************************

/////////////////////////////////////////////////////////////////////////////
// CProgressDlgThread thread

class CMetricsProgressDlg;

class CProgressDlgThread : public CWinThread
{
	DECLARE_DYNCREATE(CProgressDlgThread)
protected:
	CProgressDlgThread();           // protected constructor used by dynamic creation

// Attributes
public:
   void  InitDlg(int fileCount, CWnd * pParent);
   CMetricsProgressDlg *
         GetDlg()                         { return m_poMetricsProgressDlg; }


// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProgressDlgThread)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation
private:
   CMetricsProgressDlg *
            m_poMetricsProgressDlg;
   int      m_iFileCount;
   CWnd *   m_poParentWnd;

protected:
	virtual ~CProgressDlgThread();

	// Generated message map functions
	//{{AFX_MSG(CProgressDlgThread)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // ProgressDlgThread_H
