/*---------------------------------------------------------------------------

               Copyright (c) 1994-1997 SandStone Technology Inc.
                          All rights reserved

      THIS PROGRAM CONSISTS OF TRADE SECRETS THAT ARE  THE PROPERTY
      OF SANDSTONE SOFTWARE INC..  THE CONTENTS  MAY NOT BE USED OR
      DISCLOSED WITHOUT THE EXPRESS WRITTEN PERMISSION OF THE OWNER.

----------------------------------------------------------------------------*/
#if !defined( SSSETARR)
#  define SSSETARR
#  include<ssglobal.h>

#  define SSSetArraySize 32
#  define SSSetArrayInc  32

#  define SSSetArrayMsgFull "SSSetArray0001e: Set full"  

#  if !( _MSC_VER == 800) && !defined( SSNOTEMPLATE)

   template< class T> class SSSetArray : public SSExceptionPresent
      {
      public:
         SSConstr                 SSSetArray( SSUnsigned32 = SSSetArraySize,
                                     SSUnsigned32 = SSSetArrayInc);

         SSBooleanValue           add( const T&);
         void                     removeAll( void);
         SSUnsigned32             size( void) const;
         SSBooleanValue           locate( const T&) const;

         virtual SSDestr          SSSetArray( void);

      private:
         unsigned long            oulInc;
         T*                       opArray;
         unsigned long            oulSize;
         SSUnsigned32             oulIndex;
      };

#  include<sssetarr.inl>
#  endif

#endif
