#include "stdafx.h"
#if !defined( VPDELPHIFUNCTIONSSSCPP)
#define VPDELPHIFUNCTIONSSSCPP
#include "VPDelphiClasses.hpp"

const char* DelphiLexClass::tokenToConstChar( SSUnsigned32 ulToken)
{
	const char* pchToken;
	switch ( ulToken)
	{
	case DelphiLexTokenSubroutine:
		pchToken = "Subroutine";
		break;

	case DelphiLexTokenMethodImpl:
		pchToken = "MethodImpl";
		break;

	case DelphiLexTokenNewLine:
		pchToken = "\n";
		break;

	case DelphiLexTokenSemiColon:
		pchToken = ";";
		break;

	case DelphiLexTokenColon:
		pchToken = ":";
		break;

	case DelphiLexTokenComment:
		pchToken = "Comment";
		break;

	case DelphiLexTokenBeginMLComment:
		pchToken = "BeginMLComment";
		break;

	case DelphiLexTokenProperty:
		pchToken = "Property";
		break;

	case DelphiLexTokenClassDef:
		pchToken = "ClassDef";
		break;

	case DelphiLexTokenRecordDef:
		pchToken = "RecordDef";
		break;

	case DelphiLexTokenAsm:
		pchToken = "Asm";
		break;

	case DelphiLexTokenVar:
		pchToken = "Var";
		break;

	case DelphiLexTokenBegin:
		pchToken = "Begin";
		break;

	case DelphiLexTokenEnd:
		pchToken = "End";
		break;

	case DelphiLexTokenInterface:
		pchToken = "Interface";
		break;

	case DelphiLexTokenImplementation:
		pchToken = "Implementation";
		break;

	case DelphiLexTokenElse:
		pchToken = "Else";
		break;

	case DelphiLexTokenCase:
		pchToken = "Case";
		break;

	case DelphiLexTokenBranch:
		pchToken = "Branch";
		break;

	case DelphiLexTokenEndMLComment:
		pchToken = "EndMLComment";
		break;

	case SSYaccErrorToken:
		pchToken = "%error";
		break;

	case SSYaccEofToken:
		pchToken = "eof";
		break;

	default:
		pchToken = SSLexTokenNotFound;
	}
	return pchToken;
}

#endif
