#include "stdafx.h"
#if !defined( VPHTMLFUNCTIONSSSCPP)
#define VPHTMLFUNCTIONSSSCPP
#include "VPHTMLClasses.hpp"

const char* HTMLLexClass::tokenToConstChar( SSUnsigned32 ulToken)
{
	const char* pchToken;
	switch ( ulToken)
	{
	case HTMLLexTokenNewLine:
		pchToken = "\n";
		break;

	case HTMLLexTokenBeginComment:
		pchToken = "BeginComment";
		break;

	case HTMLLexTokenSRC:
		pchToken = "SRC";
		break;

	case HTMLLexTokenHREF:
		pchToken = "HREF";
		break;

	case HTMLLexTokenSCRIPT:
		pchToken = "SCRIPT";
		break;

	case HTMLLexTokenAPPLET:
		pchToken = "APPLET";
		break;

	case HTMLLexTokenComplexTag:
		pchToken = "ComplexTag";
		break;

	case HTMLLexTokenOtherTag:
		pchToken = "OtherTag";
		break;

	case HTMLLexTokenEndComment:
		pchToken = "EndComment";
		break;

	case SSYaccErrorToken:
		pchToken = "%error";
		break;

	case SSYaccEofToken:
		pchToken = "eof";
		break;

	default:
		pchToken = SSLexTokenNotFound;
	}
	return pchToken;
}

#endif
