#ifndef CREATECHECKPOINTDLG_H
#define CREATECHECKPOINTDLG_H
//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       CreateCheckpointDlg.h	[ CreateCheckpointDlg.cpp ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Interface of the CCreateCheckpointDlg class
//
//***************************************************************************

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CCreateCheckpointDlg : public CDialog
{
// Construction
public:
	CCreateCheckpointDlg(CWnd* pParent, CStringList & ckptfiles, CStringList & files);

// Dialog Data
	//{{AFX_DATA(CCreateCheckpointDlg)
	enum { IDD = IDD_NEW_CHECKPOINT };
	CEdit	m_oNameEditControl;
	CButton	m_oRemoveButton;
	CButton	m_oAddButton;
	CListBox	m_oCkptFilesList;
	CListBox	m_oOtherFilesList;
	CString	m_sName;
	CString	m_sFilter;
	//}}AFX_DATA
   CStringList & saCkptFiles;             // list of files for new checkpoint
   CStringList & saOtherFiles;            // list of other files in the directory

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCreateCheckpointDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
   CBitmap  m_bitmapAdd;
   CBitmap  m_bitmapRemove;

	// Generated message map functions
	//{{AFX_MSG(CCreateCheckpointDlg)
	afx_msg void OnClickAddFileButton();
	afx_msg void OnClickRemoveFileButton();
	afx_msg void OnNewCkptHelp();
	virtual void OnOK();
	afx_msg void OnDblclkAllFilesList();
	afx_msg void OnDblclkNewCkptFilesList();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif            // CREATECHECKPOINTDLG_H
