#ifndef DisplayDetails_h
#define DisplayDetails_h
//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       DisplayDetails.h	[ DisplayDetails.cpp ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Interface of the CDisplayDetails class
//
//***************************************************************************

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "SMLanguage.h"

class CDisplayDetails
{
// Construction
public:
	CDisplayDetails(TCHAR cLanguage, CString & sFilePathname);

// Attributes
public:
   SMLanguage *   m_poLanguageExemplar;
   CString        m_sFilePathname;

// Operations
public:
   bool Show(int iMajorVersion, int iMinorVersion);

// Implementation
public:
	virtual ~CDisplayDetails();

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif                                 // DisplayDetails_h
