#ifndef  NewProjectPage2_H
#define	NewProjectPage2_H
//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       NewProjectPage2.h	[ NewProjectPage2.cpp ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Definition of new project wizard, page 2
//
//***************************************************************************

class CNewProjectWizard;   // forward reference

/////////////////////////////////////////////////////////////////////////////
// CNewProjectPage2 dialog

class CNewProjectPage2 : public CPropertyPage
{
	DECLARE_DYNCREATE(CNewProjectPage2)

// Construction
public:
	CNewProjectPage2();
	~CNewProjectPage2();

   CNewProjectWizard * m_poSheet;    // reference to this page's containing sheet

// Dialog Data
	//{{AFX_DATA(CNewProjectPage2)
	enum { IDD = IDD_PAGE_NEW_PROJECT2 };
	CButton	m_btnPickDirectory;
	CString	m_sDirectoryGuide;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CNewProjectPage2)
	public:
	virtual BOOL OnSetActive();
	virtual LRESULT OnWizardBack();
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
   bool     m_fUserGoingBack;       // if true, user clicked on the "Back" button
   CBitmap  m_bitmapBrowse;         // image for browse button

	// Generated message map functions
	//{{AFX_MSG(CNewProjectPage2)
	afx_msg void OnButtonDirectoryBrowse();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};
#endif                           // NewProjectPage2_H
