//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       NewProjectWizard.cpp	[ NewProjectWizard.h ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Implementation of new project wizard, containing property sheet
//
//***************************************************************************

#include "stdafx.h"
#include "SourceMetrics.h"
#include "NewProjectWizard.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNewProjectWizard

IMPLEMENT_DYNAMIC(CNewProjectWizard, CPropertySheet)

CNewProjectWizard::CNewProjectWizard(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	: CPropertySheet(nIDCaption, pParentWnd, iSelectPage),
      m_fIncludeSubdirectories(TRUE), m_fCreateCheckpoint(TRUE), m_sFileExtensionsLabel(""),
      m_sFileExtensions(""), m_sLanguageLabel(""), m_sLanguage(""), m_sSubdirectoriesLabel(""),
      m_sDirectoryLabel(""), m_sProjectDirectory(""), m_sProjectNameLabel(""), m_sProjectName(""), 
      m_sCheckpointNameLabel(""), m_sCheckpointName(_T("Baseline")), m_sCreateCheckpointLabel("")
    
{
   m_Page1.m_poSheet = this;
   m_Page2.m_poSheet = this;
   m_Page3.m_poSheet = this;
   m_Page4.m_poSheet = this;
   m_Page5.m_poSheet = this;
   AddPage(&m_Page1);
   AddPage(&m_Page2);
   AddPage(&m_Page3);
   AddPage(&m_Page4);
   AddPage(&m_Page5);
}

CNewProjectWizard::~CNewProjectWizard()
{
}


BEGIN_MESSAGE_MAP(CNewProjectWizard, CPropertySheet)
	//{{AFX_MSG_MAP(CNewProjectWizard)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNewProjectWizard message handlers

