//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       SRGraphButton.cpp	[ GraphButton.h ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Implementation of the CSRGraphButton class
//
//***************************************************************************

#include "stdafx.h"
#include "SourceMetrics.h"
#include "SRGraphButton.h"

#include "SRGraphResource.h"
#include "ochart.h"	   // Include the objective chart header

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSRGraphButton

CSRGraphButton::CSRGraphButton()
{
}

CSRGraphButton::~CSRGraphButton()
{
}


BEGIN_MESSAGE_MAP(CSRGraphButton, CButton)
	//{{AFX_MSG_MAP(CSRGraphButton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSRGraphButton message handlers

void CSRGraphButton::DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct) 
{
	CDC * poDC = CDC::FromHandle(lpDrawItemStruct->hDC);
	
   m_poGraph->DrawComponentList(poDC, this);
}
