//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       OptionsPropertySheet.cpp	[ OptionsPropertySheet.h ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Implementation of the COptionsPropertySheet class
//
//***************************************************************************

#include "stdafx.h"
#include "SourceMetrics.h"
#include "OptionsPropertySheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COptionsPropertySheet

IMPLEMENT_DYNAMIC(COptionsPropertySheet, CPropertySheet)

COptionsPropertySheet::COptionsPropertySheet(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	: CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
   AddPage(&m_GeneralPage);

   m_poCppExemplar = new SMCpp(Exemplar());
   m_CppPage.Init(m_poCppExemplar, IDS_CPP_DEFAULT_LABEL0);
   AddPage(&m_CppPage);

   m_poJavaExemplar = new SMJava(Exemplar());
   m_JavaPage.Init(m_poJavaExemplar, IDS_JAVA_DEFAULT_LABEL0);
   AddPage(&m_JavaPage);

   m_poVBExemplar = new SMVisualBasic(Exemplar());
   m_VBPage.Init(m_poVBExemplar, IDS_VB_DEFAULT_LABEL0);
   AddPage(&m_VBPage);

   m_poDelphiExemplar = new SMDelphi(Exemplar());
   m_DelphiPage.Init(m_poDelphiExemplar, IDS_DELPHI_DEF_LABEL0);
   AddPage(&m_DelphiPage);

   m_poHTMLExemplar = new SMHTML(Exemplar());
   m_HTMLPage.Init(m_poHTMLExemplar, IDS_HTML_DEFAULT_LABEL0);
   AddPage(&m_HTMLPage);

   AddPage(&m_PrintPage);
}

COptionsPropertySheet::~COptionsPropertySheet()
{
   delete m_poCppExemplar;
   delete m_poVBExemplar;
   delete m_poDelphiExemplar;
   delete m_poHTMLExemplar;
   delete m_poJavaExemplar;
}


BEGIN_MESSAGE_MAP(COptionsPropertySheet, CPropertySheet)
	//{{AFX_MSG_MAP(COptionsPropertySheet)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptionsPropertySheet message handlers
