//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       ProgressDlgThread.cpp	[ ProgressDlgThread.h ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Implements UI thread class CProgressDlgThread
//
//***************************************************************************

#include "stdafx.h"
#include <afxmt.h>

#include "SourceMetrics.h"
#include "ProgressDlgThread.h"
#include "MetricsProgressDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProgressDlgThread

IMPLEMENT_DYNCREATE(CProgressDlgThread, CWinThread)

BEGIN_MESSAGE_MAP(CProgressDlgThread, CWinThread)
	//{{AFX_MSG_MAP(CProgressDlgThread)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

CProgressDlgThread::CProgressDlgThread()
   : m_poMetricsProgressDlg(NULL), m_iFileCount(0), m_poParentWnd(NULL)

{
}

CProgressDlgThread::~CProgressDlgThread()
{
}

// ******************************************************************************
// set parameters needed to create and display modeless progress dialog
void
CProgressDlgThread::InitDlg(int iFileCount, CWnd * poParentWnd)
{
   m_iFileCount = iFileCount;
   m_poParentWnd = poParentWnd;
   m_poMetricsProgressDlg = new CMetricsProgressDlg(m_iFileCount, NULL);
}

BOOL CProgressDlgThread::InitInstance()
{
   m_poMetricsProgressDlg->DoModeless();
   m_poMetricsProgressDlg->CenterWindow(m_poParentWnd);
   m_poMetricsProgressDlg->ShowWindow(SW_SHOW);
   m_poMetricsProgressDlg->UpdateWindow();
   m_pMainWnd = m_poMetricsProgressDlg;

	return TRUE;
}

int CProgressDlgThread::ExitInstance()
{
   delete m_poMetricsProgressDlg;

	return CWinThread::ExitInstance();
}

/////////////////////////////////////////////////////////////////////////////
// CProgressDlgThread message handlers
