#ifndef SMSPLASHPANEL_H
#define SMSPLASHPANEL_H
//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       SMSplashPanel.h	[ SMSplashPanel.cpp ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Definition of the splash panel class, SMSplashPanel.
//
//***************************************************************************

/////////////////////////////////////////////////////////////////////////////
// SMSplashPanel dialog

class SMSplashPanel : public CDialog
{
// Construction
public:
   SMSplashPanel(int iRunCount, CSourceMetricsApp * pApp, CWnd * pWnd);

// Dialog Data
	//{{AFX_DATA(SMSplashPanel)
	enum { IDD = IDD_SPLASH_PANEL };
	CEdit	m_editSharewareMsg2;
	CEdit	m_editSharewareMsg;
	CString	m_sRunCountMessage;
	CString	m_sSharewareMessage;
	CString	m_sSharewarePrices;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(SMSplashPanel)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);   // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
   int         m_iRunCount;
   CDibButton  m_DibLogo;
   CWnd *      m_poParent;
   CSourceMetricsApp *
               m_poApp;

	// Generated message map functions
	//{{AFX_MSG(SMSplashPanel)
	afx_msg void OnRegisterBtn();
	afx_msg void OnSmhelp();
	afx_msg void OnSMExit();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif               // SMSPLASHPANEL_H
