#ifndef SMSPLASHPANELFREE_H
#define SMSPLASHPANELFREE_H
//** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL ***** CONFIDENTIAL **
//   Campwood Software, Charlotte, Vermont 05445 USA
//   Copyright  1999, All Rights Reserved.
//***************************************************************************
//
// FILE:       SMSplashPanelFree.h	[ SMSplashPanelFree.cpp ]
//
// SUBSYSTEM:  Source Monitor Applicaton
//
// AUTHOR:     JF Wanner
//
// OVERVIEW:   Definition of the splash panel class, SMSplashPanelFree.
//
//***************************************************************************

/////////////////////////////////////////////////////////////////////////////
// SMSplashPanelFree dialog

class SMSplashPanelFree : public CDialog
{
// Construction
public:
	SMSplashPanelFree(CSourceMetricsApp * pApp, CWnd * pParent);

// Dialog Data
	//{{AFX_DATA(SMSplashPanelFree)
	enum { IDD = IDD_SPLASH_PANEL_FREE };
	CButton	m_ckboxDontShow;
	CEdit	m_editFreewareMsg;
	CString	m_sFreewareMessage;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(SMSplashPanelFree)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
   CDibButton  m_DibLogo;
   CWnd *      m_poParent;
   CSourceMetricsApp *
               m_poApp;

	// Generated message map functions
	//{{AFX_MSG(SMSplashPanelFree)
	afx_msg void OnSMExit();
	afx_msg void OnSMHelp();
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnCheckDontShow();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif               // SMSPLASHPANELFREE_H
