/*---------------------------------------------------------------------------

               Copyright (c) 1994 - 1997 SandStone Technology Inc.
                          All rights reserved

----------------------------------------------------------------------------*/
#if defined( __OS2__)
	SSInline SSBooleanValue SSDbcsInfo::isLeadByte( char qchByte)
      {
      if ( isascii( qchByte)) return SSFalse;
      char* zpchLead = oachDbcs;
      while ( *zpchLead)
			{
			if ( qchByte >= *zpchLead && qchByte <= *( zpchLead + 1))
				return SSTrue;
			zpchLead += 2;
			}

		return SSFalse;
		}

#  elif _MSC_VER >= 900

//	#include<ctype.h>
//	SSInline SSBooleanValue SSDbcsInfo::isLeadByte( char qchByte)
//		{
//		return isleadbyte( qchByte);
//		}
#include <windows.h>
#include <winnls.h>

	SSInline SSBooleanValue SSDbcsInfo::isLeadByte( char qchByte)
		{
		return IsDBCSLeadByte( qchByte);
		}


#  elif defined( __BORLANDC__) && defined( __WIN32__)

#undef NODBCS
#	include <windows.h>
	SSInline SSBooleanValue SSDbcsInfo::isLeadByte( char qchByte)
		{
		return IsDBCSLeadByte( qchByte) ? SSTrue : SSFalse;
		}

#  elif defined( _Windows) || ( _MSC_VER == 800)

	extern "C"
		{
		int _far _pascal IsDBCSLeadByte( unsigned char);
		}

	SSInline SSBooleanValue SSDbcsInfo::isLeadByte( char qchByte)
		{
		return IsDBCSLeadByte( qchByte) ? SSTrue : SSFalse;
		}

#  else

	SSInline SSBooleanValue SSDbcsInfo::isLeadByte( char qchByte)
		{
		return SSFalse;
		}

#endif

	SSInline SSDbcsInfo::SSDbcsInfo( void)
		{
		memset( oachDbcs, 0, sizeof oachDbcs);
		set();
		}

	SSInline SSUnsigned32 SSDbcsInfo::asUnsigned32( const char* qpchDbcs)
		{
		SSUnsigned32 zulCurrent = ( SSUnsigned32) *( qpchDbcs + 1) & 0x000000ff;
		zulCurrent <<= 8;
		zulCurrent |= ( SSUnsigned32) *qpchDbcs & 0x000000ff;
		return zulCurrent;
		}
