/*---------------------------------------------------------------------------

               Copyright (c) 1994-1999 SandStone Technology Inc.
                          All rights reserved

----------------------------------------------------------------------------*/
#if !defined( SSGLOBAL)
#  define SSGLOBAL
#  include<stddef.h>
#  include<stdlib.h>

#if defined( __BORLANDC__)
#endif
#if defined( _MSC_VER)
#  if !defined( SSClass)
#     define SSClass
#  elif ( SSClass == 0)
#     define SSClass __declspec( dllexport)
#  elif ( SSClass == 1)
#     define SSClass __declspec( dllimport)
#  endif
#endif

#  define SSConstr
#  define SSDestr             ~
#  define SSTrue              1
#  define SSFalse             0
#  define SSGlobalMaxFile     260
#	define SSOffset( p)     	( ( unsigned)( p))
#  if defined( __OS2__)
#     define SSOptlink        _Optlink
#  else
#     define SSOptlink
#  endif
#  if defined( SSNOEXCEPTION)
#     define SSTHROW( o)      SSExceptionUserHandler( o)
#  else
#     define SSTHROW( o)      throw o
#  endif
#  define SSUnsigned32Max     ULONG_MAX
#  define SSRetVoid           void SSOptlink
#  define SSRetVoidP          void* SSOptlink
#  define SSRetBool           SSBooleanValue SSOptlink
#  define SSRetConstChar      const char* SSOptlink
#  define SSRetUnsigned32     SSUnsigned32 SSOptlink

#  define SSRefFromRef( t, o) (( t&) o)
#  define SSPtrFromPtr( t, o) (( t*) o)
#  define SSRefFromPtr( t, o) (( t&) *( o))
#  define SSPtrFromRef( t, o) (( t*) &( o))

#  if defined( __OS2__)
#     define SSInline inline
#     define SSHuge
#		define SSFlat
#  elif defined( WIN32) || defined( __WIN32__)
#     define SSInline inline
#     define SSHuge
#     define SSFlat
#  elif ( _MSC_VER == 800)
#     define SSInline inline
#     define SSHuge __huge
#  elif defined( SSBIGENDIAN) || defined( SSFLAT)
#     define SSInline inline
#     define SSHuge
#     define SSFlat
#  else
#     define SSInline inline
#     define SSHuge huge
#  endif

#if !defined( SSClass)
#  define SSClass
#endif

#if ( _MSC_VER != 800)
# 	define SSTryIn			try
# 	define SSCatchIn( x)	catch( SSException _sstemp_##x) \
									{                            \
									SSException& x = _sstemp_##x;
# 	define SSCatchEndIn 		}
#  define SSRethrow( x) throw _sstemp_##x
#else
# 	define SSTryIn			TRY
# 	define SSCatchIn( x)	CATCH( SSException, _sstemp_##x) \
									{                             \
									SSException& x = *_sstemp_##x;
# 	define SSCatchEndIn 		}        							\
								END_CATCH
#  define SSRethrow( x) THROW_LAST()
#endif

#if !defined( _MSC_VER)
#	define SSCONVERTTABLE 
#endif

	typedef unsigned short SSWchar;
	typedef int            SSIndex;
	typedef unsigned short SSUnicode;
	typedef long           SSSigned32;
	typedef short          SSSigned16;
	typedef char SSHuge *  SSCharHuge;
	typedef void SSHuge *  SSVoidHuge;
	typedef unsigned short SSUnsigned16;
	typedef unsigned int   SSBooleanValue;

//For 64 bit machines, this must be changed to a 32 bit unsigned integer
#if defined SS64BIT
	typedef unsigned int   SSUnsigned32;
#else
	typedef unsigned long  SSUnsigned32;
#endif

#endif
