/*---------------------------------------------------------------------------

               Copyright (c) 1994-1997 SandStone Technology Inc.
                          All rights reserved

----------------------------------------------------------------------------*/
#if !defined( SSREF)
#	define SSREF
#	include<ssglobal.h>

#	define SSRefMsgCount "SSRef0001e: Reference count less than zero"

	class SSClass SSRefCount
	{
	public:
		SSInline SSConstr      SSRefCount( void);

		virtual void           refInc( void);
		virtual void           refFree( void) = 0;
		virtual void           refDec( SSBooleanValue = SSTrue);

	protected:
		SSSigned32             olCount;
	};

#	if !( _MSC_VER == 800) && !defined( SSNOTEMPLATE)
	template< class T> class SSRef
	{
	public:
		SSInline SSConstr SSRef( T*);
		SSInline SSConstr SSRef( T&);
		SSInline SSConstr SSRef( void);
#	if defined( SSGCC)
		SSConstr SSRef( SSRef< T>&);
#  else
		SSInline SSConstr SSRef( SSRef< T>&);
#  endif				

		SSInline SSRef< T>&           operator=( T*);
		SSInline SSRef< T>&           operator=( T&);
		SSInline T&                   operator*( void);
		SSInline T*                   operator->( void);
		SSInline                      operator T*( void);
		SSInline SSRef< T>&           operator=( SSRef< T>&);

		virtual SSInline SSDestr      SSRef( void);

	protected:
		T*                            opType;
	};

#  endif
#  include<ssref.inl>

#endif
