/*---------------------------------------------------------------------------

               Copyright (c) 1994 - 1997 SandStone Technology Inc.
                          All rights reserved

----------------------------------------------------------------------------*/
	SSInline SSUnsigned32 SSYaccLexemeCache::elements( void)
		{
		return oulElements;
		}

	SSInline SSBooleanValue SSYacc::syncErr( void)
		{
		return errorToken();
		}

	SSInline SSYaccLexemeCache& SSYacc::lexemeCache( void)
		{
		return *opLexemeCache;
		}

	SSInline void SSYacc::setLex( SSLex& qLex)
	{
		opLex = &qLex;
    }

   SSInline void SSYacc::setTable( SSYaccTable& qTable)
      {
      opTable = &qTable;
      opTab = opTable->opTable;
      }

   SSInline void SSYacc::setAbort( void)
      {
      oAbort = SSTrue;
      }

   SSInline SSBooleanValue SSYacc::wasAborted( void)
      {
      return oAbort;
      }

   SSInline SSUnsigned32 SSYacc::leftside( void)
      {
      return oulLeftside;
      }

   SSInline SSUnsigned32 SSYacc::state( void)
      {
      return oulState;
      }

   SSInline SSLex* SSYacc::lex( void)
      {
      return opLex;
      }

   SSInline SSUnsigned32 SSYacc::production( void)
      {
      return oulProduction;
      }

   SSInline SSUnsigned32 SSYacc::productionSize( void)
      {
      return oulProductionSize;
      }

   SSInline SSLexLexeme& SSYacc::lookahead( void)
      {
      return *oLookahead;
      }

   SSInline SSYaccStackElement::SSYaccStackElement( void) : oulState( 0), opSubTree( 0), oulSubTree( 0)
      {
      }

   SSInline SSUnsigned32 SSYaccStackElement::state( void)
      {
      return oulState;
      }

   SSInline SSLexLexeme* SSYaccStackElement::lexeme( void)
      {
      return oLexeme;
      }

   SSInline SSBooleanValue SSYacc::wasError( void)
      {
      return oError;
      }

   SSInline SSUnsigned32 SSYacc::shiftedSinceError( void)
      {
      return oulError;
      }

   SSInline void SSYaccStackElement::setState( SSUnsigned32 qulState)
      {
      oulState = qulState;
      }

   SSInline void SSYaccStackElement::setLexeme( SSLexLexeme& qLexeme)
      {
      oLexeme = qLexeme;
      }

   SSInline SSYaccStackElement* SSYaccStackElement::subTree( SSUnsigned32 qIndex)
      {
      if ( !opSubTree || qIndex >= oulSubTree)
	     throwException( SSExceptionYaccSubTree, SSYaccMsgSubTree);
	  return opSubTree[ qIndex];
      }

   SSInline void SSYaccStackElement::createSubTree( SSUnsigned32 qTree)
   {
      oulSubTree = qTree;
      if ( qTree)
         opSubTree = new SSYaccStackElementRef[ qTree];
   }

   SSInline void SSYaccStackElement::addSubTree( SSUnsigned32 qIndex, SSYaccStackElement* qEle)
   {
      if ( !opSubTree || qIndex >= oulSubTree)
	     throwException( SSExceptionYaccSubTree, SSYaccMsgSubTree);
	  opSubTree[ qIndex] = qEle;
   }

   SSInline SSYaccStackElement::~SSYaccStackElement( void)
      {
      if ( opSubTree)
		  delete [] opSubTree;
      }

   SSInline SSYaccStackElement* SSYacc::treeRoot( void)
   {
      return oTreeRoot;
   }
