#include "stdafx.h"
#if !defined( VPJAVAFUNCTIONSSSCPP)
#define VPJAVAFUNCTIONSSSCPP
#include "VPJavaClasses.hpp"

const char* JavaLexClass::tokenToConstChar( SSUnsigned32 ulToken)
{
	const char* pchToken;
	switch ( ulToken)
	{
	case VPJavaLexTokenMethodName:
		pchToken = "MethodName";
		break;

	case VPJavaLexTokenNewLine:
		pchToken = "\n";
		break;

	case VPJavaLexTokenSemiColon:
		pchToken = "SemiColon";
		break;

	case VPJavaLexTokenClassName:
		pchToken = "ClassName";
		break;

	case VPJavaLexTokenOCurly:
		pchToken = "{";
		break;

	case VPJavaLexTokenCCurly:
		pchToken = "}";
		break;

	case VPJavaLexTokenBeginMLComment:
		pchToken = "BeginMLComment";
		break;

	case VPJavaLexTokenBeginSLComment:
		pchToken = "BeginSLComment";
		break;

	case VPJavaLexTokenModifier:
		pchToken = "Modifier";
		break;

	case VPJavaLexTokenControlStmt:
		pchToken = "ControlStmt";
		break;

	case VPJavaLexTokenEndMLComment:
		pchToken = "EndMLComment";
		break;

	case VPJavaLexTokenBeginClassBlock:
		pchToken = "BeginClassBlock";
		break;

	case VPJavaLexTokenBeginMethodBlk:
		pchToken = "BeginMethodBlk";
		break;

	case SSYaccErrorToken:
		pchToken = "%error";
		break;

	case SSYaccEofToken:
		pchToken = "eof";
		break;

	default:
		pchToken = SSLexTokenNotFound;
	}
	return pchToken;
}

#endif
